Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
HeapDatabase..::.Append Method (DatabaseEntry)
HeapDatabase Class See Also Send Feedback

Append the data item to the end of the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public HeapRecordId Append(
    	DatabaseEntry data
    )

Visual Basic (Declaration)
    Public Function Append ( _
    	data As DatabaseEntry _
    ) As HeapRecordId

Visual C++
    public:
    HeapRecordId^ Append(
    	DatabaseEntry^ data
    )

#### Parameters

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data item to store in the database

#### Return Value

The heap record id allocated to the record

# See Also

HeapDatabase Class
Append Overload
BerkeleyDB Namespace